function [f0min, f0max] = estf0range2(wavName)
% Get pitch range for piano notes of the University of IOWA dataset. It
% works with the specific naming convention that I'm using.
% 
% Input
%   - wavName   : the (without path) filename of the segmented note
% Output
%   - f0min     : the minimum possible pitch in Hz
%   - f0max     : the maximum possible pitch in Hz
%
% Author: Zhiyao Duan
% Last modified: 11/4/2013
% define F0 range by reading wavName
idx = strfind(wavName, '_');
idx2 = strfind(wavName, '.');

currNote = note2midinum(wavName(idx(end)+1:idx2-1));

f0min = midi2hz(currNote-1);
f0max = midi2hz(currNote+1);

